// MainFrm.cpp : implementation of the CMainFrame class
//

#include "stdafx.h"
#include "ResizeDemo.h"
#include "resize.h"
#include "ResizeDemoDialog.h"
#include "ResizeDemoPage1.h"
#include "ResizeDemoPage2.h"
#include "MainFrm.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMainFrame

IMPLEMENT_DYNCREATE(CMainFrame, CFrameWnd)

BEGIN_MESSAGE_MAP(CMainFrame, CFrameWnd)
	//{{AFX_MSG_MAP(CMainFrame)
	ON_WM_CREATE()
	ON_WM_GETMINMAXINFO()
	ON_COMMAND(ID_DIALOG, OnDialog)
	ON_COMMAND(ID_PROPSHEET, OnPropsheet)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMainFrame construction/destruction

CMainFrame::CMainFrame()
{
}

CMainFrame::~CMainFrame()
{
}

/////////////////////////////////////////////////////////////////////////////
// CMainFrame message handlers

void CMainFrame::OnGetMinMaxInfo(MINMAXINFO* pMMI)
{
	if (GetActiveView()->GetSafeHwnd())
	{
		GetActiveView()->SendMessage(WM_GETMINMAXINFO, 0, (LPARAM) pMMI);
		// The MINMAXINFO is for the frame, but you can make the application smaller, 
		// so apparantly you have to add size for the menus, toolbals, etc. yourself!
	}
}

void CMainFrame::OnDialog() 
{
	CResizeDemoDialog().DoModal();
}

void CMainFrame::OnPropsheet() 
{
	CResizePropertySheet sheet(_T("Resizeable Property Sheet Demo"));
	sheet.m_dwAddStyle = WS_MAXIMIZEBOX | WS_MINIMIZEBOX;

	CResizeDemoPage1 page1;
	CResizeDemoPage2 page2;

	sheet.AddPage((CPropertyPage*) &page1);
	sheet.AddPage((CPropertyPage*) &page2);

	sheet.DoModal();
}
