// ResizeDemoDialog.cpp : implementation file
//

#include "stdafx.h"
#include "ResizeDemo.h"
#include "ResizeDemoDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

#define SECTION _T("ResizeDemoDialog")

/////////////////////////////////////////////////////////////////////////////
// CResizeDemoDialog dialog


CResizeDemoDialog::CResizeDemoDialog(CWnd* pParent /*=NULL*/)
	: CResizeDialog(CResizeDemoDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CResizeDemoDialog)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CResizeDemoDialog::DoDataExchange(CDataExchange* pDX)
{
	CResizeDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CResizeDemoDialog)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CResizeDemoDialog, CResizeDialog)
	//{{AFX_MSG_MAP(CResizeDemoDialog)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CResizeDemoDialog message handlers

BOOL CResizeDemoDialog::OnInitDialog() 
{
	CResizeDialog::OnInitDialog();
	
	// sizing set directly with functions
	SetResize(IDOK, 1, 1, 1, 1);
	SetResize(IDCANCEL, 1, 1, 1, 1);
	SetResize(IDC_EDIT1, 0, 0, 0.5, 1);
	SetResize(IDC_EDIT2, 0.5, 0, 1, 1);
	SetResize(IDC_GROUP, 0, 1, 1, 1);
	SetResize(IDC_CHECK, 0, 1, 0, 1);

	LoadPlacement(SECTION);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CResizeDemoDialog::OnOK() 
{
	SavePlacement(SECTION);
	
	CResizeDialog::OnOK();
}
